nodes['home.paperless-sophie'] = {
    'hostname': '172.19.138.30',
    'bundles': {
        'nfs-client',
        'nodejs',
        'redis',
        'postgresql',
        'paperless-ng',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'backups': {
            'exclude_from_backups': True,
        },
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'interfaces': {
            'enp1s0': {
                'ips': {
                    '172.19.138.30/24',
                },
                'gateway4': '172.19.138.1',
            },
        },
        'nfs-client': {
            'mounts': {
                'nas_paperless': {
                    'mountpoint': '/mnt/paperless',
                    'serverpath': '172.19.138.98:/mnt/paperless',
                    'mount_options': {
                        'retry=0',
                        'rw',
                    },
                },
                'nas_scansnap': {
                    'mountpoint': '/mnt/scansnap',
                    'serverpath': '172.19.138.20:/srv/scansnap',
                    'mount_options': {
                        'retry=0',
                        'rw',
                    },
                },
            },
        },
        'nginx': {
            'vhosts': {
                'paperless': {
                    'domain': 'paperless-sophie.home.kunbox.net',
                    'ssl': '_.home.kunbox.net',
                    'proxy': {
                        '/': {
                            'target': 'http://127.0.0.1:22070',
                            'websockets': True,
                            'proxy_set_header': {
                                'X-Forwarded-Host': '$server_name',
                            },
                        },
                    },
                    'extras': True,
                },
            },
        },
        'paperless': {
            'version': 'ng-1.4.4',
            'timezone': 'Europe/Berlin',
        },
        'vm': {
            'cpu': 2,
            'ram': 2,
        },
    },
}
